typedef enum
{
	powerDown=(uint8_t)0b0000,
	hr_Norm_Low_1Hz=(uint8_t)1,
	hr_Norm_Low_10Hz=(uint8_t)2,
	hr_Norm_Low_25Hz=(uint8_t)3,
	hr_Norm_Low_50Hz=(uint8_t)4,
	hr_Norm_Low_100Hz=(uint8_t)5,
	hr_Norm_Low_200Hz=(uint8_t)6,
	hr_Norm_Low_400Hz=(uint8_t)7,
	Low_1600Hz=(uint8_t)8,
	hr_Norm_1344Hz_Low_5376Hz=9
} ODR_t;

typedef enum
{
	normalMode=(uint8_t)0,
	lowPowerMode=(uint8_t)1
} LPen_t;

typedef enum
{
	disabel=(uint8_t)0,
	enabel=(uint8_t)1
} en_t;


typedef union{
	uint8_t CTRL_REG1;
	struct
	{
		ODR_t  ODR  : 4;
		LPen_t LPen : 1;
		en_t	Zen:1;
		en_t Yen:1;
		en_t Xen:1; 	  
	};
} CTRL_REG1_t;

//------
int main(void)
{
	//..............
	CTRL_REG1_t reg1
	
	reg1.ODR=hr_Norm_Low_50Hz;
	reg1.LPen=normalMode;
	reg1.Zen=enabel;
	reg1.Yen=enabel;
	reg1.Xen=disabel;
	i2cMasterUploadBuf(0x20); // 
  i2cMasterUploadBuf(reg1.CTRL_REG1); //        0x20
  i2cMasterSendBuf(ADDRES_LIS3DH); //   
	//...............	
}